summaryrefslogtreecommitdiffstats
path: root/extra/deluge/deluge-web
diff options
context:
space:
mode:
authorfanch <fanchyannmaria at orange dot fr>2010-06-05 10:41:16 +0200
committerfanch <fanchyannmaria at orange dot fr>2010-06-05 10:41:16 +0200
commit360e5954ba974c2f40cb35c8c1f6a46fcda24b43 (patch)
treeaa07e29b6559795a69c14d1fb01745ed6d9594b1 /extra/deluge/deluge-web
parent3aea77bb3a754d74592aa2d152b4619e4783784a (diff)
downloadnutyx-extra-360e5954ba974c2f40cb35c8c1f6a46fcda24b43.tar.gz
nutyx-extra-360e5954ba974c2f40cb35c8c1f6a46fcda24b43.tar.bz2
nutyx-extra-360e5954ba974c2f40cb35c8c1f6a46fcda24b43.tar.xz
nutyx-extra-360e5954ba974c2f40cb35c8c1f6a46fcda24b43.zip
ajout deluge#1.2.3-1
Diffstat (limited to 'extra/deluge/deluge-web')
-rw-r--r--extra/deluge/deluge-web43
1 files changed, 43 insertions, 0 deletions
diff --git a/extra/deluge/deluge-web b/extra/deluge/deluge-web
new file mode 100644
index 000000000..cc20616d8
--- /dev/null
+++ b/extra/deluge/deluge-web
@@ -0,0 +1,43 @@
+
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/deluged
+
+[[ -f /var/run/deluge-web.pid ]] && PID=$(cat /var/run/deluge-web.pid)
+[[ -d /proc/$PID ]] || PID=
+
+case "$1" in
+ start)
+ stat_busy "Starting Deluge WebUI"
+ [[ -z $PID ]] && su -l -s /bin/sh -c "/usr/bin/deluge-web -f >/dev/null" $DELUGE_USER
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ sleep 1
+ echo $(pgrep -u $DELUGE_USER deluge-web) > /var/run/deluge-web.pid
+ add_daemon deluge-web
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Deluge WebUI"
+ [[ ! -z $PID ]] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm /var/run/deluge-web.pid
+ rm_daemon deluge-web
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0